Subject: Please Help!

From: Zhi Chan Wang <[email-masked]>
Date: Wed, 06 Oct 1999 18:27:26 -0400

Dr. Yap:

    I'm having a big trouble understanding the syntax of Java. I learned
Pascal in Computer Science I and II, but converting to Java seems to be
not an easy task for me. I looked at your Java resource links, but it
contains so much information that I don't know which part I have to read
in order to prepare for the homework assignment. I have talked to many
of my friends who also only took Pascal, and they have the same problem
as I have. I just wondering if you can give us a small tutoring every
time after the class in your office? Below is something I wrote for the
programming part of the homework assignment 2. Please give me some
suggestions and helps. Thank you very very much.

public void setItem(Object i) {
     Object i = setItem();
  }

  public void setitem(node n) {
     node n = new node();
  }

  public void setNext(node n) {
     node n = new node();
  }

  public node getNext() {
     ++n;
     node next = setNext(node n);
  }

  public Object getItem() {
     Object item = setItem(Object i);
  }

  public void printItem() {
     System.out.println(Object getItem);
  }

  public void print() {
     System.out.print(Object getItem, \n);
  }

public static void main(String[] args)
  {
       // Takes an command line argument "fn" that is a file name
       // If command line argument is omitted, "fn" defaults to
"input.0"
       // A list is created from "fn" (one line per list item)
       //  (Empty line is allowed, duplicated list items allowed)
       // The created list is printed.

       readString();
       readFromFile(args[0]);
       public void print();
  }